[PATCH nft 2/2] tests: shell: redefine and undefine

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This tests cover the new redefine and undefine scripting feature.

Signed-off-by: Pablo Neira Ayuso <pablo@xxxxxxxxxxxxx>
---
 tests/shell/testcases/nft-f/0016redefines_1 | 40 +++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100755 tests/shell/testcases/nft-f/0016redefines_1

diff --git a/tests/shell/testcases/nft-f/0016redefines_1 b/tests/shell/testcases/nft-f/0016redefines_1
new file mode 100755
index 000000000000..da303607b0cb
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0016redefines_1
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+set -e
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+	echo "Failed to create tmp file" >&2
+	exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+echo "
+table ip x {
+        chain y {
+                define unused = 4.4.4.4
+                define address = { 1.1.1.1, 2.2.2.2 }
+                ip saddr $address
+                redefine address = { 3.3.3.3 }
+                ip saddr $address
+                undefine unused
+        }
+}" >> $tmpfile
+
+EXPECTED="table ip x {
+        chain y {
+                ip saddr { 1.1.1.1, 2.2.2.2 }
+                ip saddr { 3.3.3.3 }
+        }
+}"
+
+$NFT -f $tmpfile
+
+GET="$($NFT list ruleset)"
+
+if [ "$EXPECTED" != "$GET" ] ; then
+        DIFF="$(which diff)"
+        [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+        exit 1
+fi
-- 
2.11.0

--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Netfitler Users]     [LARTC]     [Bugtraq]     [Yosemite Forum]

  Powered by Linux